exercise_05_13: exercise_05_13.o | .gitignore
	g++ $^ -o $@ 
exercise_05_13.ii: exercise_05_13.cpp
	g++ -E $^ -o $@
exercise_05_13.s: exercise_05_13.ii
	g++ -S $^ -o $@
exercise_05_13.o: exercise_05_13.s
	g++ -c $^ -o $@
.gitignore:
	echo "exercise_05_13" > $@
clean:
	rm -rf *.ii *.s *.o exercise_05_13 .gitignore *.out debug
test1: exercise_05_13 
	@./exercise_05_13 < test1.in > test1.out
	@diff test1.out test1.expected > /dev/null 2>&1 && echo PASSED || echo FAILED

.PRECIOUS: exercise_05_13.ii exercise_05_13.s
.SECONDARY: exercise_05_13.ii exercise_05_13.s

dbg: debug/exercise_05_13
debug/exercise_05_13: debug/exercise_05_13.o
	g++     -Wall -Wextra -Werror -g3 debug/exercise_05_13.o     -o debug/DecisionMaking
debug/exercise_05_13.o: debug/exercise_05_13.s
	g++ -c -Wall -Wextra -Werror -g3 debug/exercise_05_13.s     -o debug/exercise_05_13.o
debug/exercise_05_13.s: debug/exercise_05_13.ii
	g++ -S -Wall -Wextra -Werror -g3 debug/exercise_05_13.ii     -o debug/exercise_05_13.s
debug/exercise_05_13.ii: exercise_05_13.cpp
	g++ -E -Wall -Wextra -Werror -g3            exercise_05_13.cpp -o debug/exercise_05_13.ii
debug/exercise_05_13.ii: | debug
debug:
	mkdir -p debug

